%define pkg_name        GD-SVG
%define pkg_version     0.28
%define rpm_pkg_version 0.28
%define rpm_pkg_release 2.n0i.4

Summary:       Seamlessly enable SVG output from scripts written using GD
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TW/TWH/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
%{!?_without_test:BuildRequires: perl(GD)}
%{!?_without_test:BuildRequires: perl(SVG)}


%description
GD::SVG painlessly enables scripts that utilize GD to export scalable
vector graphics (SVG). It accomplishes this task by wrapping SVG.pm with
GD-styled method calls. To enable this functionality, one need only change
the "use GD" call to "use GD::SVG" (and initial "new" method calls).


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path examples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes examples/ README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.28-2.n0i.4
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7

* Sun Jun 04 2006 Marius Feraru <altblue@n0i.net> - 0.28-1.n0i.3
- version 0.28

* Thu Oct 06 2005 Marius Feraru <altblue@n0i.net> 0.27-1.n0i.2
- version 0.27

* Sun Jul 24 2005 Marius Feraru <altblue@n0i.net> 0.25-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
